io.vertx.ext.auth.jwt

## Class JWTAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.jwt.JWTAuthOptions

-     public class JWTAuthOptions
      extends Object

  Options describing how an JWT Auth should behave.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuthOptions()` Default constructor
    `JWTAuthOptions(JsonObject json)` Constructor to create an options from JSON
    `JWTAuthOptions(JWTAuthOptions other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JWTAuthOptions` | `addAudience(String audience)` Set the audience list
    `JWTAuthOptions` | `addPubSecKey(PubSecKeyOptions pubSecKey)`
    `JWTAuthOptions` | `addSecret(SecretOptions secret)`
    `List<String>` | `getAudience()`
    `String` | `getIssuer()`
    `KeyStoreOptions` | `getKeyStore()`
    `int` | `getLeeway()`
    `String` | `getPermissionsClaimKey()`
    `List<PubSecKeyOptions>` | `getPubSecKeys()`
    `List<SecretOptions>` | `getSecrets()`
    `boolean` | `isIgnoreExpiration()`
    `JWTAuthOptions` | `setAudience(List<String> audience)` Set the audience list
    `JWTAuthOptions` | `setIgnoreExpiration(boolean ignoreExpiration)` Set whether expiration is ignored
    `JWTAuthOptions` | `setIssuer(String issuer)` Set the issuer
    `JWTAuthOptions` | `setKeyStore(KeyStoreOptions keyStore)`
    `JWTAuthOptions` | `setLeeway(int leeway)` Set the leeway in seconds
    `JWTAuthOptions` | `setPermissionsClaimKey(String permissionsClaimKey)`
    `JWTAuthOptions` | `setPubSecKeys(List<PubSecKeyOptions> pubSecKeys)`
    `void` | `setSecrets(List<SecretOptions> secrets)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWTAuthOptions

          public JWTAuthOptions()

      Default constructor

    - #### JWTAuthOptions

          public JWTAuthOptions(JWTAuthOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### JWTAuthOptions

          public JWTAuthOptions(JsonObject json)

      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getPermissionsClaimKey

          public String getPermissionsClaimKey()

    - #### setPermissionsClaimKey

          public JWTAuthOptions setPermissionsClaimKey(String permissionsClaimKey)

    - #### getKeyStore

          public KeyStoreOptions getKeyStore()

    - #### setKeyStore

          public JWTAuthOptions setKeyStore(KeyStoreOptions keyStore)

    - #### getPubSecKeys

          public List<PubSecKeyOptions> getPubSecKeys()

    - #### setPubSecKeys

          public JWTAuthOptions setPubSecKeys(List<PubSecKeyOptions> pubSecKeys)

    - #### getSecrets

          public List<SecretOptions> getSecrets()

    - #### setSecrets

          public void setSecrets(List<SecretOptions> secrets)

    - #### addSecret

          public JWTAuthOptions addSecret(SecretOptions secret)

    - #### addPubSecKey

          public JWTAuthOptions addPubSecKey(PubSecKeyOptions pubSecKey)

    - #### getAudience

          public List<String> getAudience()

    - #### setAudience

          public JWTAuthOptions setAudience(List<String> audience)

      Set the audience list
      Parameters:
        `audience` - the audience list
      Returns:
        a reference to this for fluency

    - #### addAudience

          public JWTAuthOptions addAudience(String audience)

      Set the audience list
      Parameters:
        `audience` - the audience list
      Returns:
        a reference to this for fluency

    - #### getIssuer

          public String getIssuer()

    - #### setIssuer

          public JWTAuthOptions setIssuer(String issuer)

      Set the issuer
      Parameters:
        `issuer` - the issuer
      Returns:
        a reference to this for fluency

    - #### isIgnoreExpiration

          public boolean isIgnoreExpiration()

    - #### setIgnoreExpiration

          public JWTAuthOptions setIgnoreExpiration(boolean ignoreExpiration)

      Set whether expiration is ignored
      Parameters:
        `ignoreExpiration` - whether expiration is ignored
      Returns:
        a reference to this for fluency

    - #### getLeeway

          public int getLeeway()

    - #### setLeeway

          public JWTAuthOptions setLeeway(int leeway)

      Set the leeway in seconds
      Parameters:
        `leeway` - in seconds
      Returns:
        a reference to this for fluency

Copyright © 2017. All rights reserved.